Create a robot fleet
curl --request POST \
--url https://api.example.com/v1/fleets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"subject": "<string>",
"selection": {
"robots": [
"<string>"
],
"selector": {
"site": "<string>",
"region": "<string>",
"robot_type_id": "<string>",
"labels": {}
},
"membership": "snapshot"
},
"peak_active_robots": 2,
"operating_windows": [
{
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.example.com/v1/fleets"
payload = {
"name": "<string>",
"subject": "<string>",
"selection": {
"robots": ["<string>"],
"selector": {
"site": "<string>",
"region": "<string>",
"robot_type_id": "<string>",
"labels": {}
},
"membership": "snapshot"
},
"peak_active_robots": 2,
"operating_windows": [
{
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
subject: '<string>',
selection: {
robots: ['<string>'],
selector: {site: '<string>', region: '<string>', robot_type_id: '<string>', labels: {}},
membership: 'snapshot'
},
peak_active_robots: 2,
operating_windows: [{starts_at: '2023-11-07T05:31:56Z', ends_at: '2023-11-07T05:31:56Z'}]
})
};
fetch('https://api.example.com/v1/fleets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"subject": "<string>",
"readiness_mode": "always_ready",
"peak_active_robots": 2,
"status": "preparing",
"robots": {
"registered": 1,
"ready": 1,
"active": 1,
"waiting": 1,
"blocked": 1
},
"blocker": "<string>",
"readiness_estimate": {
"lower_seconds": 1,
"upper_seconds": 1,
"updated_at": "2023-11-07T05:31:56Z"
},
"active_model": {
"subject": "<string>",
"generation_id": "<string>",
"status": "<string>"
},
"update": {
"subject": "<string>",
"generation_id": "<string>",
"status": "<string>",
"blocker": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}fleets
Create a robot fleet
POST
/
v1
/
fleets
Create a robot fleet
Authorizations
Organization API key (sk_servo_...) or authenticated CLI session token.
Body
application/json
Required string length:
1 - 128Minimum string length:
1Robot membership captured atomically when a fleet is created.
Named and selector-based membership both use snapshot consistency. New robots do not silently join an operating fleet; the customer must update membership through a future explicit reconciliation operation.
Show child attributes
Show child attributes
Required range:
x >= 1Available options:
always_ready, scheduled, on_demand Maximum array length:
366Show child attributes
Show child attributes
Response
Successful Response
Available options:
always_ready, scheduled, on_demand Required range:
x >= 1Available options:
preparing, ready, degraded, blocked Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes